<?php

/*
#	This file contains the functions for adding a button to MCEComments
#	and creating the clickable smileys for MCEComments.
#	Please do not edit this file.
*/

// Add Click-to-Insert Smileys to MCEComments
function tse_add_mce_smileys() {
	$tse = get_option( 'tango_smileys_extended' );
	$smileypx = $tse['smileysize'];
	$folder = ( $smileypx >= 18 ) ? 'tango24' : 'tango';
	echo "<div id='tse-mce-wrapper'><div class='tse-title-wrapper'>{$tse['cti_header']}";
	echo "<span class='tse-mce-close'><a href='javascript:tse_mcedisplay();'><span class='tse-mce-hide'></span></a></span></div>\n";
	$smileys = tseCTI_get_smileys();
	$output = '';
	for ( $i = 0; $i < sizeof( $smileys ); $i++ ) {
		$smiley = plugins_url( "/{$folder}/{$smileys[$i][1]}", __FILE__ );
		$output .= "<img src='$smiley' alt='{$smileys[$i][2]}' title='{$smileys[$i][2]} ( {$smileys[$i][0]} )' onclick='javascript:insertTSESmiley(\"{$smileys[$i][0]}\");' />";
	}
	echo "<div class='tse-mcecti'>$output</div></div>";
echo <<<JAVASCRIPT
	<script language="javascript" type="text/javascript">
	//<![CDATA[
	function insertTSESmiley(smiley) { tse_mcedisplay(); tinyMCE.execCommand("mceInsertContent",false, smiley); }
	function tse_mcedisplay() {
		tse_mce_wrapper = document.getElementById('tse-mce-wrapper');
		tse_mce_wrapper.style.display = (tse_mce_wrapper.style.display == 'none') ? 'block' : 'none';
	}
	var jQ = jQuery.noConflict();
	function tse_mceinit() {
		jQ('#comment_toolbar1 tbody tr td:last-child').before(jQ('<td><span class="mceSeparator"></span></td>'));
		jQ('#comment_toolbar1 tbody tr td:last-child').before(jQ('<td><a class="mceButton mceButtonEnabled" href="javascript:tse_mcedisplay();"><span class="mce_tse mceIcon"></span></a></td>'));
		document.getElementById('tse-mce-wrapper').style.display = 'none';
		var piggy = jQ('.mce_tse').position();
		jQ('#tse-mce-wrapper').offset({ top: piggy.top-50, left: piggy.left-250 });
	}
	window.onload = tse_mceinit;
	//]]>
	</script>
JAVASCRIPT;
}

// Add CSS for MCEComments
function tse_mcestyle() {
	global $tse_version;
	$tse = get_option( 'tango_smileys_extended' );
	$smileypx = $tse['smileysize'];
	$tseicon = plugins_url( 'tseicon.png', __FILE__ );
	$mcehide = plugins_url( 'close.png', __FILE__ );
echo <<<CSS
	<!-- TSE Version $tse_version //-->
	<style type="text/css">
	.mce_tse {
		background: url($tseicon) no-repeat center center !important;	
	}
	#tse-mce-wrapper {
		background: #fff;
		border: 1px solid #ccc;
		display: none;
		position: absolute;
		width: 500px !important;
		z-index: 10;
		-moz-border-radius: 6px;
		-khtml-border-radius: 6px;
		-webkit-border-radius: 6px;
		border-radius: 6px;
	}
	.tse-title-wrapper {
		background: #dfdfdf;
		color: #000;
		font-size: 12px;
		font-weight: bold;
		padding: 6px 6px 6px 26px;
		text-align: center;
		text-shadow: #fff 0 1px 0;
		-moz-border-radius: 5px 5px 0 0;
		-webkit-border-top-right-radius: 5px;
		-webkit-border-top-left-radius: 5px;
		-khtml-border-top-right-radius: 5px;
		-khtml-border-top-left-radius: 5px;
		border-top-right-radius: 5px;
		border-top-left-radius: 5px;
	}
	.tse-mce-close {
		float: right;
	}
	.tse-mce-hide {
		background: url($mcehide) no-repeat top left !important;
		display: block;
		height: 16px;
		width: 20px;
	}
	.tse-mce-hide:hover {
		background: url($mcehide) no-repeat bottom left !important;
	}
	.tse-mce-clear {
		clear: both;
	}
	.tse-mcecti {
		text-align: center;
		padding: 4px;
	}
	.tse-mcecti img {
		height: {$smileypx}px;
		padding: 1px;
		width: {$smileypx}px;
	}
	</style>
CSS;
}

// Enqueue JQuery for positioning the new MCE smiley popup.
function tse_mce_jquery() {
	wp_enqueue_script( "jquery" );
}

?>